import { SimpleLocalIntegration } from '../../core/index.js';
import { VenstarConfigFlow } from './venstar.classes.configflow.js';
import { createVenstarDiscoveryDescriptor } from './venstar.discovery.js';
import type { IVenstarConfig } from './venstar.types.js';
import { venstarDomain, venstarProfile } from './venstar.types.js';

export class VenstarIntegration extends SimpleLocalIntegration<IVenstarConfig> {
  public readonly domain = venstarDomain;
  public readonly discoveryDescriptor = createVenstarDiscoveryDescriptor();
  public readonly configFlow = new VenstarConfigFlow();

  constructor() {
    super(venstarProfile);
  }
}

export class HomeAssistantVenstarIntegration extends VenstarIntegration {}
